html, body {
	position: relative;
	width: 100%;
	height: 100%;
}

body {
	color: #333;
	margin: 0;
	padding: 8px;
	box-sizing: border-box;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
}

a {
	color: rgb(0,100,200);
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

a:visited {
	color: rgb(0,80,160);
}

label {
	display: block;
}

.alert { 
	margin-bottom: 0.1rem;
	margin-top: 0.1rem;
}

input, button, select, textarea {
	font-family: inherit;
	font-size: inherit;
	-webkit-padding: 0.4em 0;
	padding: 0.4em;
	margin: 0 0 0.5em 0;
	box-sizing: border-box;
	border: 1px solid #ccc;
	border-radius: 2px;
}

input:disabled {
	color: #ccc;
}

button {
	color: #333;
	background-color: #f4f4f4;
	outline: none;
}

button:disabled {
	color: #999;
}

button:not(:disabled):active {
	background-color: #ddd;
}

button:focus {
	border-color: #666;
}

.response {
    background-color: #f0f0f0;
    padding: 8px;
    border-radius: 4px;
    margin-bottom: 16px;
  }

.little {
	font-size: 0.2rem;
}

.card.read-only::before {
	content: "read-only";
	position: absolute;
	top: 0;
	left: 0;
	color: #28a745;
	padding: 0.25rem 0.5rem;
	font-size: 0.7rem;
}

.card.writeable::before {
	content: "writeable";
	position: absolute;
	top: 0;
	left: 0;
	color: #dc3545;
	padding: 0.25rem 0.5rem;
	font-size: 0.7rem;
}

.form-check {
    display: inline-block;
    margin-right: 10px;
  }